Anura Docs

Anura Reporting API - Summary Filters Endpoints - Update

The Summary Filters: Update endpoint will allow you to update a previously created summary filter applicable to the supplied POST parameters.

Method URL
POST https://api.anura.io/v1/filters/update

Parameters

Required Type Description Note
token string The token string you have been issued to connect to the Anura Reporting API.
filter string The ID of the summary filter to update.
Optional Type Description Note
name string A descriptive name, or title, for your filter. 128 maximum characters.
filters array A valid array of filter group arrays containing filter objects. Learn more about summary filters.
shared boolean Set true to share the summary filter with other users. Set false to unshare.

At least one optional parameter is required. Only the posted parameter(s) will be updated.

Example Request

{
    "token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzUxMiJ9.eyJpc3MiOiIxMjMiLCJpYXQiOjE2NjE5OTIwODAsImp0aSI6ImlPYVNOQW10UmhZU3l2MXQ5eDkiLCJhdWQiOiIwbVglMkZSJTJCTWdBS2xteSIsInRrbiI6ImFwaSJ9.SC8PtaQetBwGBu56J0yyUtqVEL",
    "filter": "QFJnsd5g",
    "filters": [
        [
            {
                "column": "responses",
                "operator": "greater_than_equal_to",
                "value": 1000
            },
            {
                "column": "good_rate",
                "operator": "less_than_equal_to",
                "value": 33.55
            }
        ]
    ],
    "shared": true
}

Example Response

{
    "success": true,
    "message": "%22My%20First%20Summary%20Filter%22%20has%20been%20updated",
    "feedback": {
        "pass": {},
        "fail": {}
    }
}